> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage Customer Portal Link



## OpenAPI

````yaml patch /client_reference/{client_reference_id}/portal/customer/access
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/portal/customer/access:
    patch:
      tags:
        - default
      summary: Manage Customer Portal Link
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                access_pin:
                  type: string
                  description: Must contain 4 numbers.
                link_status:
                  type: string
                  enum:
                    - active
                    - submitted
                    - locked
            example:
              access_pin: '4321'
              link_status: locked
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 09:10:05 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '66'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 93bb1e26-0d81-4d82-8ada-f40b10eabb50
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerPortalLink'
              example:
                client_reference_id: 9337
                client_reference: Reference 321
                link: https://inventory.valuechecker.ai/549b2a
                access_pin: '4321'
                link_status: locked
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Client reference 9337 was not found
                event_code: ERNF00
                event_dict:
                  event_severity: ERROR
                  title: Wrong "client_reference_id" value
                  description: The client_reference_id "9337" was not found
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  schemas:
    CustomerPortalLink:
      type: object
      properties:
        client_category_id:
          type: integer
        client_reference:
          type: string
        link:
          type: string
        access_pin:
          type: string
        link_status:
          type: string
          enum:
            - active
            - submitted
            - locked
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````